Module org.firebirdsql.jaybird
Package org.firebirdsql.jdbc

# Class InternalTransactionCoordinator

java.lang.Object
org.firebirdsql.jdbc.InternalTransactionCoordinator

All Implemented Interfaces:
  `FBObjectListener.BlobListener`, `FBObjectListener.StatementListener`

@InternalApi public final class InternalTransactionCoordinator extends Object implements FBObjectListener.StatementListener, FBObjectListener.BlobListener
Transaction coordinator for the `FBConnection` class.

This class is internal API of Jaybird. Future versions may radically change, move, or make inaccessible this type.

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static class`
`InternalTransactionCoordinator.AbstractTransactionCoordinator`
Transaction coordinator base implementation.

## Method Summary

Modifier and Type
Method
Description
`void`
`commit()`
`void`
`ensureTransaction()`
`void`
`executionCompleted(FirebirdBlob blob)`
Notify listener that execution of some BLOB operation had been completed.
`void`
`executionStarted(AbstractStatement stmt)`
Notify listener that statement execution is being started.
`void`
`executionStarted(FirebirdBlob blob)`
Notify listener that execution of some BLOB operation had been started.
`boolean`
`getAutoCommit()`
`FBConnection`
`getConnection()`
Get the connection object to which this listener belongs to.
`void`
`rollback()`
`void`
`statementClosed(AbstractStatement stmt)`
Notify the listener that statement was closed.
`void`
`statementCompleted(AbstractStatement stmt)`
Notify the listener that statement is completed.
`void`
`statementCompleted(AbstractStatement stmt, boolean success)`
Notify the listener that statement is completed and tell whether execution was successful or not.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### getAutoCommit

public boolean getAutoCommit() throws SQLException

Throws:
  `SQLException`

### executionStarted

public void executionStarted(AbstractStatement stmt) throws SQLException
Description copied from interface: `FBObjectListener.StatementListener`
Notify listener that statement execution is being started.

Specified by:
  `executionStarted` in interface `FBObjectListener.StatementListener`
Parameters:
  `stmt` - statement that is being executed
Throws:
  `SQLException`

### getConnection

public FBConnection getConnection() throws SQLException
Description copied from interface: `FBObjectListener.StatementListener`
Get the connection object to which this listener belongs to.

Specified by:
  `getConnection` in interface `FBObjectListener.StatementListener`
Returns:
  instance of `FBConnection`
Throws:
  `SQLException` - if something went wrong

### statementClosed

public void statementClosed(AbstractStatement stmt) throws SQLException
Description copied from interface: `FBObjectListener.StatementListener`
Notify the listener that statement was closed.

Specified by:
  `statementClosed` in interface `FBObjectListener.StatementListener`
Parameters:
  `stmt` - statement that was closed
Throws:
  `SQLException`

### statementCompleted

public void statementCompleted(AbstractStatement stmt) throws SQLException
Description copied from interface: `FBObjectListener.StatementListener`
Notify the listener that statement is completed. This is shortcut method for `statementCompleted(AbstractStatement, true)`.

Specified by:
  `statementCompleted` in interface `FBObjectListener.StatementListener`
Parameters:
  `stmt` - statement that was completed.
Throws:
  `SQLException`

### statementCompleted

public void statementCompleted(AbstractStatement stmt, boolean success) throws SQLException
Description copied from interface: `FBObjectListener.StatementListener`
Notify the listener that statement is completed and tell whether execution was successful or not.

Specified by:
  `statementCompleted` in interface `FBObjectListener.StatementListener`
Parameters:
  `stmt` - statement that was completed
  `success` - `true` if completion was successful
Throws:
  `SQLException`

### executionCompleted

public void executionCompleted(FirebirdBlob blob) throws SQLException
Description copied from interface: `FBObjectListener.BlobListener`
Notify listener that execution of some BLOB operation had been completed.

The default implementation does nothing.

Specified by:
  `executionCompleted` in interface `FBObjectListener.BlobListener`
Parameters:
  `blob` - instance of `FirebirdBlob` that caused this event.
Throws:
  `SQLException` - if something went wrong.

### executionStarted

public void executionStarted(FirebirdBlob blob) throws SQLException
Description copied from interface: `FBObjectListener.BlobListener`
Notify listener that execution of some BLOB operation had been started.

The default implementation does nothing.

Specified by:
  `executionStarted` in interface `FBObjectListener.BlobListener`
Parameters:
  `blob` - instance of `FirebirdBlob` that caused this event
Throws:
  `SQLException` - if something went wrong

### ensureTransaction

public void ensureTransaction() throws SQLException

Throws:
  `SQLException`

### commit

public void commit() throws SQLException

Throws:
  `SQLException`

### rollback

public void rollback() throws SQLException

Throws:
  `SQLException`